Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.dr3d
Class OdfCubeElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfStylableElement
                                  org.odftoolkit.odfdom.dom.element.OdfStyleablePresentationElement
                                      org.odftoolkit.odfdom.dom.element.dr3d.OdfCubeElement

All Implemented Interfaces:
  Serializable, Cloneable, OdfStylePropertySet, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfCube

    public abstract class OdfCubeElement

extends OdfStyleablePresentationElement

DOM implementation of OpenDocument element dr3d:cube.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfStylableElement
`mFamily, mStyleNameAttrib`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfCubeElement(OdfFileDom aOwnerDoc)` Create the instance of OdfCubeElement

Method Summary
`List<String>` | `getDrawClassNames()` Get value of attribute draw:class-names.
`String` | `getDrawid()` Get value of attribute draw:id.
`String` | `getDrawStyleName()` Get value of attribute draw:style-name.
`String` | `getLayer()` Get value of attribute draw:layer.
`String` | `getMaxEdge()` Get value of attribute dr3d:max-edge.
`String` | `getMinEdge()` Get value of attribute dr3d:min-edge.
`OdfName` | `getOdfName()` Get the element name
`List<String>` | `getPresentationClassNames()` Get value of attribute presentation:class-names.
`String` | `getPresentationStyleName()` Get value of attribute presentation:style-name.
`String` | `getTransform()` Get value of attribute dr3d:transform.
`OdfId` | `getXmlid()` Get value of attribute xml:id.
`OdfNonNegativeInteger` | `getZIndex()` Get value of attribute draw:z-index.
`void` | `setDrawClassNames(OdfStyleNames drawClassNames)` Set value of attribute draw:class-names.
`void` | `setDrawid(String drawid)` Set value of attribute draw:id.
`void` | `setDrawStyleName(OdfStyleNameRef drawStyleName)` Set value of attribute draw:style-name.
`void` | `setLayer(String layer)` Set value of attribute draw:layer.
`void` | `setMaxEdge(String maxEdge)` Set value of attribute dr3d:max-edge.
`void` | `setMinEdge(String minEdge)` Set value of attribute dr3d:min-edge.
`void` | `setPresentationClassNames(OdfStyleNames presentationClassNames)` Set value of attribute presentation:class-names.
`void` | `setPresentationStyleName(OdfStyleNameRef presentationStyleName)` Set value of attribute presentation:style-name.
`void` | `setTransform(String transform)` Set value of attribute dr3d:transform.
`void` | `setXmlid(OdfId xmlid)` Set value of attribute xml:id.
`void` | `setZIndex(OdfNonNegativeInteger zIndex)` Set value of attribute draw:z-index.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStyleablePresentationElement
`setAttributeNS`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStylableElement
`getAutomaticStyle, getAutomaticStyles, getDocumentStyle, getOrCreateUnqiueAutomaticStyle, getProperties, getProperty, getStrictProperties, getStyleFamily, getStyleName, hasAutomaticStyle, hasDocumentStyle, hasProperty, onInsertNode, onRemoveNode, removeProperty, reuseDocumentStyle, setDocumentStyle, setProperties, setProperty, setStyleName`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfCubeElement

    public OdfCubeElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfCubeElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element dr3d:cube.

### getMinEdge

    public String getMinEdge()

  Get value of attribute dr3d:min-edge.

  Returns:
    return the attribute which type is String

### setMinEdge

    public void setMinEdge(String minEdge)

  Set value of attribute dr3d:min-edge.

  Parameters:
    `minEdge` - the attribute's type is String

### getMaxEdge

    public String getMaxEdge()

  Get value of attribute dr3d:max-edge.

  Returns:
    return the attribute which type is String

### setMaxEdge

    public void setMaxEdge(String maxEdge)

  Set value of attribute dr3d:max-edge.

  Parameters:
    `maxEdge` - the attribute's type is String

### getZIndex

    public OdfNonNegativeInteger getZIndex()

  Get value of attribute draw:z-index.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setZIndex

    public void setZIndex(OdfNonNegativeInteger zIndex)

  Set value of attribute draw:z-index.

  Parameters:
    `zIndex` - the attribute's type is OdfNonNegativeInteger

### getDrawid

    public String getDrawid()

  Get value of attribute draw:id.

  Returns:
    return the attribute which type is String

### setDrawid

    public void setDrawid(String drawid)

  Set value of attribute draw:id.

  Parameters:
    `drawid` - the attribute's type is String

### getXmlid

    public OdfId getXmlid()

  Get value of attribute xml:id.

  Returns:
    return the attribute which type is OdfId

### setXmlid

    public void setXmlid(OdfId xmlid)

  Set value of attribute xml:id.

  Parameters:
    `xmlid` - the attribute's type is OdfId

### getLayer

    public String getLayer()

  Get value of attribute draw:layer.

  Returns:
    return the attribute which type is String

### setLayer

    public void setLayer(String layer)

  Set value of attribute draw:layer.

  Parameters:
    `layer` - the attribute's type is String

### getDrawStyleName

    public String getDrawStyleName()

  Get value of attribute draw:style-name.

  Returns:
    return the attribute which type is String

### setDrawStyleName

    public void setDrawStyleName(OdfStyleNameRef drawStyleName)

  Set value of attribute draw:style-name.

  Parameters:
    `drawStyleName` - the attribute's type is OdfStyleNameRef

### getDrawClassNames

    public List<String> getDrawClassNames()

  Get value of attribute draw:class-names.

  Returns:
    return the attribute which type is List

### setDrawClassNames

    public void setDrawClassNames(OdfStyleNames drawClassNames)

  Set value of attribute draw:class-names.

  Parameters:
    `drawClassNames` - the attribute's type is OdfStyleNames

### getPresentationStyleName

    public String getPresentationStyleName()

  Get value of attribute presentation:style-name.

  Returns:
    return the attribute which type is String

### setPresentationStyleName

    public void setPresentationStyleName(OdfStyleNameRef presentationStyleName)

  Set value of attribute presentation:style-name.

  Parameters:
    `presentationStyleName` - the attribute's type is OdfStyleNameRef

### getPresentationClassNames

    public List<String> getPresentationClassNames()

  Get value of attribute presentation:class-names.

  Returns:
    return the attribute which type is List

### setPresentationClassNames

    public void setPresentationClassNames(OdfStyleNames presentationClassNames)

  Set value of attribute presentation:class-names.

  Parameters:
    `presentationClassNames` - the attribute's type is OdfStyleNames

### getTransform

    public String getTransform()

  Get value of attribute dr3d:transform.

  Returns:
    return the attribute which type is String

### setTransform

    public void setTransform(String transform)

  Set value of attribute dr3d:transform.

  Parameters:
    `transform` - the attribute's type is String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.